﻿using System.Windows.Data;

namespace WinBudget
{
    public class SettingBindingExtension : Binding
    {
        public SettingBindingExtension()
        {
            Initialize();
        }
 
        public SettingBindingExtension(string path):base(path)
        {
            Initialize();
        }
 
        private void Initialize()
        {
            this.Source = WinBudget.Properties.Settings.Default;
            this.Mode = BindingMode.TwoWay;
        }
    }
}
